<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Linkbase Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2023-04-11T09:41:29.0225+00:00 -->
<!-- Copyright (c) 2023 Donnelly Financial Solutions, Inc. All Rights Reserved. -->
<link:linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:title="labelLink" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_TonySarsamMember" xlink:label="sptn_TonySarsamMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfDividendsMember" xlink:label="sptn_ChangeInFairValueOfDividendsMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_DennisEidsonMember" xlink:label="sptn_DennisEidsonMember"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_InitialFixedInvestmentValue" xlink:label="sptn_InitialFixedInvestmentValue"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember"/>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_AmendmentFlag_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Amendment Flag</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_TonySarsamMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Tony Sarsam [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_TonySarsamMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Tony Sarsam [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfDividendsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Change in Fair Value of Dividends [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfDividendsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Change in Fair Value of Dividends [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfDividendsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Change in Fair Value of Dividends [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Fair Value at Fiscal Year-End of Outstanding and Unvested Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value at Fiscal Year-End of Outstanding and Unvested Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair Value at Fiscal Year-End of Outstanding and Unvested Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Change in Fair Value of Outstanding and Unvested Stock Awards Granted in Prior Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Change in Fair Value of Outstanding and Unvested Stock Awards Granted in Prior Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Change in Fair Value of Outstanding and Unvested Stock Awards Granted in Prior Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_DennisEidsonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Dennis Eidson [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_DennisEidsonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Dennis Eidson [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityRegistrantName_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Registrant Name</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_DocumentType_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Document Type</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityCentralIndexKey_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Central Index Key</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Fair Value at Vesting of Stock Awards Granted in Fiscal Year that Vested During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value at Vesting of Stock Awards Granted in Fiscal Year that Vested During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair Value at Vesting of Stock Awards Granted in Fiscal Year that Vested During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Fair Value as of Prior Fiscal Year-End of Stock Awards Granted in Prior Fiscal Years that Failed to Meet Applicable Vesting Conditions During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value as of Prior Fiscal Year-End of Stock Awards Granted in Prior Fiscal Years that Failed to Meet Applicable Vesting Conditions During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair Value as of Prior Fiscal Year-End of Stock Awards Granted in Prior Fiscal Years that Failed to Meet Applicable Vesting Conditions During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Grant Date Fair Value of Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Grant Date Fair Value of Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Grant Date Fair Value of Stock Awards Granted in Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_CoverAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Cover [Abstract]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_InitialFixedInvestmentValue_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Initial Fixed Investment Value</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_InitialFixedInvestmentValue_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Initial Fixed Investment Value</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_InitialFixedInvestmentValue_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Initial Fixed Investment Value</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Change in Fair Value as of Vesting Date of Stock Awards Granted in Prior Years for which Applicable Vesting Conditions Were Satisfied During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Change in Fair Value as of Vesting Date of Stock Awards Granted in Prior Years for which Applicable Vesting Conditions Were Satisfied During Fiscal Year [Member]</link:label>
    <link:label xml:lang="en-US" xlink:type="resource" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Change in Fair Value as of Vesting Date of Stock Awards Granted in Prior Years for which Applicable Vesting Conditions Were Satisfied During Fiscal Year [Member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_AmendmentFlag" xlink:to="dei_AmendmentFlag_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_TonySarsamMember" xlink:to="sptn_TonySarsamMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_ChangeInFairValueOfDividendsMember" xlink:to="sptn_ChangeInFairValueOfDividendsMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" xlink:to="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" xlink:to="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_DennisEidsonMember" xlink:to="sptn_DennisEidsonMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityRegistrantName" xlink:to="dei_EntityRegistrantName_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_DocumentType" xlink:to="dei_DocumentType_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityCentralIndexKey" xlink:to="dei_EntityCentralIndexKey_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" xlink:to="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" xlink:to="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" xlink:to="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_CoverAbstract" xlink:to="dei_CoverAbstract_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_InitialFixedInvestmentValue" xlink:to="sptn_InitialFixedInvestmentValue_lbl"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" xlink:to="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember_lbl"/>
  </link:labelLink>
</link:linkbase>